ATA_TF_TO_HOST(9)

NAME
ata_tf_to_host - issue ATA taskfile to host controller

SYNOPSIS

void ata_tf_to_host (struct ata_port * ap, const struct ata_taskfile * tf);

ARGUMENTS

ap  port to which command is being issued

tf  ATA taskfile register set

DESCRIPTION

Issues ATA taskfile register set to ATA host controller, with proper synchronization with interrupt handler and other threads.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.